OGRE-Next: Ogre::DirectionRandomiserAffector Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Public Attributes | List of all members
Ogre::DirectionRandomiserAffector Class Reference

This class defines a ParticleAffector which applies randomness to the movement of the particles. More...

`#include <OgreDirectionRandomiserAffector.h>`

Inheritance diagram for Ogre::DirectionRandomiserAffector:
[legend]

## Classes
class | CmdKeepVelocity
| Command object for keep_velocity (see ParamCommand). More...
class | CmdRandomness
| Command object for randomness (see ParamCommand). More...
class | CmdScope
| Command object for scope (see ParamCommand). More...

## Public Member Functions
| DirectionRandomiserAffector (ParticleSystem *psys)
| Default constructor.
void | _affectParticles (ParticleSystem *pSystem, Real timeElapsed) override
| See ParticleAffector.
bool | getKeepVelocity () const
| Gets flag which detemines whether particle speed is changed.
Real | getRandomness () const
| Gets the randomness to apply to the particles in a system.
Real | getScope () const
| Gets the scope (percentage of particles which are randomised).
void | setKeepVelocity (bool keepVelocity)
| Set flag which detemines whether particle speed is changed.
void | setRandomness (Real force)
| Sets the randomness to apply to the particles in a system.
void | setScope (Real force)
| Sets the scope (percentage of particles which are randomised).
Public Member Functions inherited from Ogre::ParticleAffector
| ParticleAffector (ParticleSystem *parent)
virtual | ~ParticleAffector ()
| Virtual destructor essential.
virtual void | _initParticle (Particle *pParticle)
| Method called to allow the affector to initialize all newly created particles in the system.
const String & | getType () const
| Returns the name of the type of affector.
Public Member Functions inherited from Ogre::StringInterface
| StringInterface ()
virtual | ~StringInterface ()
| Virtual destructor, see Effective C++.
virtual void | copyParametersTo (StringInterface *dest) const
| Method for copying this object's parameters to another object.
ParamDictionary * | getParamDictionary ()
| Retrieves the parameter dictionary for this class.
const ParamDictionary * | getParamDictionary () const
virtual String | getParameter (const String &name) const
| Generic parameter retrieval method.
const ParameterList & | getParameters () const
| Retrieves a list of parameters valid for this object.
virtual bool | setParameter (const String &name, const String &value)
| Generic parameter setting method.
virtual void | setParameterList (const NameValuePairList &paramList)
| Generic multiple parameter setting method.

## Static Public Attributes
static CmdKeepVelocity | msKeepVelocityCmd
static CmdRandomness | msRandomnessCmd
| Command objects.
static CmdScope | msScopeCmd

## Additional Inherited Members
Static Public Member Functions inherited from Ogre::StringInterface
static void | cleanupDictionary ()
| Cleans up the static 'msDictionary' required to reset Ogre, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the ResourceManager implementers (e.g.

## Detailed Description

This class defines a ParticleAffector which applies randomness to the movement of the particles.

Remarks
  This affector (see ParticleAffector) applies randomness to the movement of the particles by changing the direction vectors.

  The most important parameter to control the effect is randomness. It controls the range in which changes are applied to each axis of the direction vector. The parameter scope can be used to limit the effect to a certain percentage of the particles.

## Constructor & Destructor Documentation

## ◆ DirectionRandomiserAffector()

Ogre::DirectionRandomiserAffector::DirectionRandomiserAffector | ( | ParticleSystem * | psys | ) |

Default constructor.

## Member Function Documentation

## ◆ _affectParticles()

void Ogre::DirectionRandomiserAffector::_affectParticles | ( | ParticleSystem * | pSystem,
|  | Real | timeElapsed )
| overridevirtual

See ParticleAffector.

Implements Ogre::ParticleAffector.

## ◆ getKeepVelocity()

bool Ogre::DirectionRandomiserAffector::getKeepVelocity | ( |  | ) | const

Gets flag which detemines whether particle speed is changed.

## ◆ getRandomness()

Real Ogre::DirectionRandomiserAffector::getRandomness | ( |  | ) | const

Gets the randomness to apply to the particles in a system.

## ◆ getScope()

Real Ogre::DirectionRandomiserAffector::getScope | ( |  | ) | const

Gets the scope (percentage of particles which are randomised).

## ◆ setKeepVelocity()

void Ogre::DirectionRandomiserAffector::setKeepVelocity | ( | bool | keepVelocity | ) |

Set flag which detemines whether particle speed is changed.

## ◆ setRandomness()

void Ogre::DirectionRandomiserAffector::setRandomness | ( | Real | force | ) |

Sets the randomness to apply to the particles in a system.

## ◆ setScope()

void Ogre::DirectionRandomiserAffector::setScope | ( | Real | force | ) |

Sets the scope (percentage of particles which are randomised).

## Member Data Documentation

## ◆ msKeepVelocityCmd

CmdKeepVelocity Ogre::DirectionRandomiserAffector::msKeepVelocityCmd
| static

## ◆ msRandomnessCmd

CmdRandomness Ogre::DirectionRandomiserAffector::msRandomnessCmd
| static

Command objects.

## ◆ msScopeCmd

CmdScope Ogre::DirectionRandomiserAffector::msScopeCmd
| static

The documentation for this class was generated from the following file:

- OgreDirectionRandomiserAffector.h